Skip to Content
veriom

Save question

POST
/v1/workspaces/{workspace_id}/assistant/saved-questions

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
question*Question
Length2 <= length <= 4000
repository_ids?array<>
Itemsitems <= 20

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
id*Id
Formatuuid
question*Question
repository_ids?array<>
updated_at*Updated At
Formatdate-time
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/assistant/saved-questions' \  -H 'Content-Type: application/json' \  -d '{  "question": "string"}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "question": "string",  "repository_ids": [    "f3227fc5-024f-4c73-b362-d0cb9602924d"  ],  "updated_at": "2019-08-24T14:15:22Z"}